Page MenuHomePhabricator

Move `getEntityNamespaceLookup` from `GenericServices`
Closed, ResolvedPublic

Description

As mentioned in the TODO comments, the logic in method getEntityNamespaceLookup does not belong in generic services as it relies on wiki / repo specific settings, and therefore should be moved to the SingleEntitySourceServices and MultipleEntitySourceServices classes.

  • Service added to SingleEntitySourceServices
  • Service added to MultipleEntitySourceServices
  • GenericServices EntityNamespaceLookup should not be used & should be removed.

Event Timeline

ItamarWMDE removed ItamarWMDE as the assignee of this task.Aug 14 2020, 1:26 PM
Addshore updated the task description. (Show Details)Aug 17 2020, 9:34 AM

Change 620912 had a related patch set uploaded (by Itamar Givon; owner: Itamar Givon):
[mediawiki/extensions/Wikibase@master] Move getEntityNamespaceLookup from Generic to Single and Multiple EntitySourceServices

https://gerrit.wikimedia.org/r/620912

Change 620912 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Move getEntityNamespaceLookup from Generic to Single and Multiple EntitySourceServices

https://gerrit.wikimedia.org/r/620912

WMDE-leszek closed this task as Resolved.Sep 23 2020, 4:16 PM
WMDE-leszek updated the task description. (Show Details)